{
  "@git.zone/tsbundle": {
    "bundles": [
      {
        "from": "./ts_web/index.ts",
        "to": "./ts/bundled_ui.ts",
        "outputMode": "base64ts",
        "bundler": "esbuild",
        "includeFiles": ["html/**/*"]
      }
    ]
  },
  "@git.zone/tswatch": {
    "watchers": [
      {
        "name": "backend",
        "watch": ["./ts/**/*", "./cli.ts.js"],
        "command": "tsbuild && pnpm run startTs",
        "restart": true
      },
      {
        "name": "frontend",
        "watch": ["./ts_web/**/*", "./html/**/*"],
        "command": "tsbundle",
        "restart": false
      }
    ]
  },
  "@git.zone/tsview": {
    "port": 3010,
    "killIfBusy": true,
    "openBrowser": false
  },
  "@git.zone/cli": {
    "services": ["mongodb", "minio"],
    "release": {
      "registries": ["https://verdaccio.lossless.digital", "https://registry.npmjs.org"],
      "accessLevel": "public"
    },
    "projectType": "npm",
    "module": {
      "githost": "code.foss.global",
      "gitscope": "git.zone",
      "gitrepo": "tsview",
      "description": "a dev viewer for mongodb and s3",
      "npmPackagename": "@git.zone/tsview",
      "license": "MIT"
    }
  },
  "@ship.zone/szci": {}
}
